# -*- coding:Utf-8 -*-
import psyco
psyco.full()

class SimpleLine(object):
    def __init__(self, item, value = "", options = {}, prefix = "", underline = True, page = 0, index = 0, listid = 0, popup = None):
        self.l_item = str(item).split("\n")[0]
        self.l_value = value
        self.l_options = options
        self.l_prefix = prefix
        self.l_underline = underline

        self.l_page = page
        self.l_index = index
        self.l_listid = listid
        self.l_popup = popup
        self.l_submenu = None
        self.l_modifieditem = None

    def __getitem__(self, item):
        if item == "modifieditem":
            if self.l_modifieditem is not None: return self.l_modifieditem
            else:
                self.l_modifieditem = self.l_item
                if self.l_options:
                    for option in self.l_options:
                        self.l_modifieditem.replace(option, self.l_options[option])
            return "%s%s" % (self.l_prefix, self.l_modifieditem)

        elif item == "formatline":
            if isinstance(self.l_item, str):
                return "%s%s. %s" % ("->" if self.l_underline else "", self.l_index, self["modifieditem"])
            return None
